var ref = require('chalk');
var red = ref.red;
var yellow = ref.yellow;
var gray = ref.gray;

var warn = exports.warn = function (msg) { return console.error(red(("[vue-ssr-webpack-plugin] " + msg + "\n"))); }
var tip = exports.tip = function (msg) { return console.log(yellow(("[vue-ssr-webpack-plugin] " + msg + "\n"))); }

exports.validate = function (compiler) {
  if (compiler.options.target !== 'node') {
    warn('webpack config `target` should be "node".')
  }

  if (compiler.options.output && compiler.options.output.libraryTarget !== 'commonjs2') {
    warn('webpack config `output.libraryTarget` should be "commonjs2".')
  }

  if (!compiler.options.externals) {
    tip(
      'It is recommended to externalize dependencies for better ssr performance.\n' +
      "See " + (gray('https://github.com/vuejs/vue/tree/dev/packages/vue-server-renderer#externals')) + " " +
      'for more details.'
    )
  }
}

exports.isJS = function (file) { return /\.js($|\?)/.test(file); }
